Bug 195252 - devel/subversion: add Reported by field
Summary: devel/subversion: add Reported by field
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Lev A. Serebryakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-21 18:45 UTC by Jason Helfman
Modified: 2016-03-19 14:08 UTC (History)
2 users (show)

See Also:
jgh: maintainer-feedback? (lev)


Attachments
reportedby diff (9.39 KB, patch)
2014-11-21 18:45 UTC, Jason Helfman
no flags Details | Diff
patch for devel/subversion17 (5.97 KB, patch)
2014-11-21 20:33 UTC, Jason Helfman
no flags Details | Diff
patch for devel/subversion (3.04 KB, patch)
2014-11-21 20:36 UTC, Jason Helfman
no flags Details | Diff
patch for devel/subversion16 (6.79 KB, patch)
2014-11-21 20:44 UTC, Jason Helfman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Helfman freebsd_committer 2014-11-21 18:45:27 UTC
Created attachment 149677 [details]
reportedby diff

I am finding more and more prs or issues are "reported," but a patch isn't necessarily supplied, and noting "Submitted by" isn't always necessarily the case.

Attached is a patch to add a "Reported by" field to the fbsd template.

Thanks!
jgh@
Comment 1 Bugzilla Automation freebsd_committer 2014-11-21 18:45:27 UTC
Auto-assigned to maintainer lev@FreeBSD.org
Comment 2 Jason Helfman freebsd_committer 2014-11-21 20:24:56 UTC
Build log for devel/subversion
Comment 3 Jason Helfman freebsd_committer 2014-11-21 20:33:06 UTC
Created attachment 149689 [details]
patch for devel/subversion17

patch for devel/subversion17
Comment 5 Jason Helfman freebsd_committer 2014-11-21 20:36:52 UTC
Created attachment 149691 [details]
patch for devel/subversion
Comment 6 Jason Helfman freebsd_committer 2014-11-21 20:42:03 UTC
Having an issue getting devel/subversion16 to build properly, noting a issue with patch. I don't know if this is an issue, as it is currently vulnerable.

http://meatwad.mouf.net/rubick/poudriere/data/92i386-jgh/2014-11-21_20h36m13s/logs/errors/subversion16-1.6.23_9.log
Comment 7 Jason Helfman freebsd_committer 2014-11-21 20:44:14 UTC
Created attachment 149692 [details]
patch for devel/subversion16

patch for devel/subversion16
Comment 8 Lev A. Serebryakov freebsd_committer 2015-08-06 15:44:26 UTC
Do we really need this? Was it discussed with developers? I don't think, that "Submitted by" is about patches only.
Comment 9 Jason Helfman freebsd_committer 2016-01-15 23:34:11 UTC
Feel free to proceed how you desire. I like the explicitness of Reported by, in favor of Submitted by. To me they have different connotations.
Comment 10 commit-hook freebsd_committer 2016-03-19 14:07:03 UTC
A commit references this bug:

Author: lev
Date: Sat Mar 19 14:06:10 UTC 2016
New revision: 411397
URL: https://svnweb.freebsd.org/changeset/ports/411397

Log:
   (1) Fix pkg-plist for BDB backend
   (2) Remove GNATS references from commit template
   (3) Add "Reported by:" field to commit template

  PR:		205182, 205692, 195252

Changes:
  head/devel/subversion/Makefile
  head/devel/subversion/files/extra-patch-fbsd-template
  head/devel/subversion/pkg-plist
Comment 11 commit-hook freebsd_committer 2016-03-19 14:08:06 UTC
A commit references this bug:

Author: lev
Date: Sat Mar 19 14:07:39 UTC 2016
New revision: 411398
URL: https://svnweb.freebsd.org/changeset/ports/411398

Log:
   (1) Remove GNATS reference from commit template
   (2) Add "Reported by:" field to commit remplate

  PR:		205692, 195252

Changes:
  head/devel/subversion18/Makefile
  head/devel/subversion18/files/extra-patch-fbsd-template
Comment 12 Lev A. Serebryakov freebsd_committer 2016-03-19 14:08:43 UTC
Committed, thanx!